---
title: List
url: https://www.tines.com/docs/api/resources/list/
updated: 2025-11-17T17:09:19+00:00
description: Retrieve a list of resources.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Resources](https://www.tines.com/llm/docs/api/resources.md)*

# List

*[View on tines.com](https://www.tines.com/docs/api/resources/list/)*

## Description

Retrieve a list of resources.

## Request

HTTP Method: **GET**

| Query Parameter                | Description                                                                                                                             |
| ------------------------------ | --------------------------------------------------------------------------------------------------------------------------------------- |
| team_id                        | **Optional** Return resources belonging to this team.                                                                                   |
| folder_id                      | **Optional** Return resources in this folder.                                                                                           |
| per_page                       | **Optional** Set the number of results returned per page.                                                                               |
| page                           | **Optional** Specify the page of results to return if there are multiple pages. Defaults to page 1.                                     |
| filter                         | **Optional** Filter: `UNUSED_IN_ACTIONS`                                                                                                |
| include_referencing_action_ids | **Optional** Defaults to `true`, when set to `false` we will exclude `referencing_action_ids` from the response                         |
| typed_value                    | **Optional** Defaults to `false`. When set to `true`, returns properly typed values (boolean, number, array, object) instead of strings |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/global_resources \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON Array describing resources in the Tines tenant.\
Results are paginated by default to 20 results returned per page.

### Field description

| Parameter              | Description                                                                                                                                               |
| ---------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------- |
| id                     | Resource ID.                                                                                                                                              |
| name                   | Name of the resource.                                                                                                                                     |
| value                  | Value of the resource. By default, returns a string representation. Use `typed_value=true` to get properly typed values (boolean, number, array, object). |
| team_id                | ID of team to which the resource belongs.                                                                                                                 |
| folder_id              | ID of folder to which the resource belongs.                                                                                                               |
| user_id                | ID of user associated with the resource.                                                                                                                  |
| read_access            | Control where this resource can be used (`TEAM`, `GLOBAL`, `SPECIFIC_TEAMS`).                                                                             |
| shared_team_slugs      | List of teams' slugs where this resource can be used when `read_access` is `SPECIFIC_TEAMS`, otherwise empty.                                             |
| slug                   | An underscored representation of the resource name                                                                                                        |
| created_at             | ISO 8601 Timestamp representing date and time the resource was created.                                                                                   |
| updated_at             | ISO 8601 Timestamp representing date and time the resource was last updated.                                                                              |
| description            | Description of the resource.                                                                                                                              |
| test_resource_enabled  | A boolean value stating if the resource is enabled for using a test resource.                                                                             |
| test_resource          | JSON block of the test resource.                                                                                                                          |
| referencing_action_ids | IDs of action that are referencing the Resource.                                                                                                          |

### Sample response

<!-- cspell:disable -->

```json
{
  "global_resources": [
    {
      "id": 1,
      "name": "tines_jira_url",
      "value": "tinesio.atlassian.net",
      "team_id": 2,
      "folder_id": 1,
      "user_id": 1,
      "read_access": "TEAM",
      "shared_team_slugs": [],
      "slug": "tines_jira_url",
      "created_at": "2019-12-12T21:34:16.540Z",
      "updated_at": "2019-12-12T21:34:16.540Z",
      "description": "",
      "test_resource_enabled": true,
      "test_resource": {
        "value": "test resource",
        "created_at": "2019-12-12T22:34:16.540Z",
        "updated_at": "2019-12-12T22:34:16.540Z"
      },
      "referencing_action_ids": [431]
    }
  ],
  "meta": {
    "current_page": "https://<tenant-domain>/api/v1/global_resources?per_page=20&page=1",
    "previous_page": null,
    "next_page": null,
    "next_page_number": null,
    "per_page": 20,
    "pages": 1,
    "count": 1
  }
}
```

<!-- cspell:enable -->
